<!--- 
Beta Quick Site builder from Open Office Text Document
Written By Gavin Cooney (gavin@websonic.ie) 2004-11-10
Version 0.2 beta
 --->

<cfobject component="parseWordXml"
					name="application.parseWordXml">

<cfimport taglib="/farcry/farcry_core/tags/admin/" prefix="admin">
<cfset request.cr = chr(10) & chr(13) />
<admin:header>

<!--- check permissions --->
<cfscript>
	iDeveloperPermission = request.dmSec.oAuthorisation.checkPermission(reference="policyGroup",permissionName="developer");
</cfscript>

<cfif iDeveloperPermission eq 1>

<cfif NOT isdefined("form.submit")>

	<!--- Include the form --->
	<cfinclude template="_inc_form.cfm">
<cfelse>

	<cfif form.submit eq "confirm">
		<!--- If the confirm button has been pressed, add the data to farcry --->
		<cfinclude template="_inc_sitebuilder.cfm">
	<cfelse>
		<cfscript>
			createdBy = session.dmSec.authentication.userlogin;
			status = form.status;
			makenavaliases = isdefined("form.MAKENAVALIASES");
			navaliaseslevel = form.NAVALIASESLEVEL;
			startPoint = form.STARTPOINT;
			defaultTypeDisplay = form.defaultTypeDisplay;
		</cfscript>
		<!--- Save it as wddx. Ask user what types for the new pages. --->
		<cfinclude template="_inc_confirm.cfm">
	</cfif>
</cfif>

<cfelse>
	<admin:permissionError>
</cfif>

<admin:footer>

